import ColorObj from 'color';


/**
 * 格式化hsv
 * 亮度将转化为透明度变化
 */
export function hsv2rgba(hue, saturation, bright) {
    let color = ColorUtils.hsb2hex(hue, saturation / 10, 100);
    color = new ColorObj(color).alpha(bright2Opacity(bright)).rgbString();
    return color;
}

export function bright2Opacity(brightness, option = { min: 0.3, max: 1 }) {
    const { min = 0.3, max = 1 } = option;
    return Math.round((min + ((brightness - 10) / (1000 - 10)) * (max - min)) * 100) / 100;
}

export function decodeColorData(byte) {
    if (!byte || byte.length !== 12) {
        return [0, 1000, 1000];
    }
    const b = byte.match(/[a-z\d]{4}/gi) || [];
    return b.reduce((curr, hex) => {
        curr.push(parseInt(hex, 16));
        return curr;
    }, []);
}